<?php
//@*--


class Theme_Designer_Block_Adminhtml_Settings_Edit_Tab_Menu extends Mage_Adminhtml_Block_Widget_Form
{
    protected function _prepareForm()
    {
        $form = new Varien_Data_Form();
        $this->setForm($form);

        $fsHMenu = $form->addFieldset('form_hmenu', array('legend' => Mage::helper('designer')->__('Horizontal')));

        $fsHMenu->addField('hmenu', 'radios', array(
            'label' => Mage::helper('designer')->__('Categories'),
            'name' => 'hmenu',
            'value' => 'no',
            'values' => array(
                array('value' => '0', 'label' => 'All'),
                array('value' => '1', 'label' => 'Current')
            ),
            'tabindex' => 1
        ));

        $fsVMenu = $form->addFieldset('form_vmenu', array('legend' => Mage::helper('designer')->__('Vertical')));

        $fsVMenu->addField('vmenu', 'radios', array(
            'label' => Mage::helper('designer')->__('Categories'),
            'name' => 'vmenu',
            'value' => 'no',
            'values' => array(
                array('value' => '0', 'label' => 'All'),
                array('value' => '1', 'label' => 'Current')
            ),
            'tabindex' => 2
        ));

        $model = Mage::getSingleton('Theme_Designer_Model_Settings_Menu');
        $model->readOptions(Mage::registry('designer_settings_theme'));

        $form->setValues($model->toArray());

        return parent::_prepareForm();
    }
}
//--*@